summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-cpp/litesql/ChangeLog9
-rw-r--r--dev-cpp/litesql/Manifest24
-rw-r--r--dev-cpp/litesql/files/digest-litesql-0.3.23
-rw-r--r--dev-cpp/litesql/files/litesql-0.3.2-extra_qualifier.patch18
-rw-r--r--dev-cpp/litesql/files/litesql-0.3.2-pkg_makefile_am.patch15
-rw-r--r--dev-cpp/litesql/litesql-0.3.2.ebuild76
-rw-r--r--dev-cpp/litesql/metadata.xml5
7 files changed, 150 insertions, 0 deletions
diff --git a/dev-cpp/litesql/ChangeLog b/dev-cpp/litesql/ChangeLog
new file mode 100644
index 000000000..2e6e2c7c4
--- /dev/null
+++ b/dev-cpp/litesql/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for dev-cpp/litesql
+# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 31 Aug 2006; Tiziano M├╝ller <gentoo@dev-zero.ch> +litesql-0.3.2.ebuild,
+ +files/litesql-0.3.2-extra_qualifier.patch,
+ +files/litesql-0.3.2-pkg_makefile_am.patch, +metadata.xml:
+ New ebuild for bug #145675
+
diff --git a/dev-cpp/litesql/Manifest b/dev-cpp/litesql/Manifest
new file mode 100644
index 000000000..f2f3e4660
--- /dev/null
+++ b/dev-cpp/litesql/Manifest
@@ -0,0 +1,24 @@
+AUX litesql-0.3.2-extra_qualifier.patch 840 RMD160 260b38e210cdbd492363b9a136ff89755af94ab6 SHA1 3c5ae043a9cf2039e4ec9749db50489d41c35602 SHA256 7e88809a99273a22f1d2791959a1d63b5c306ba47d48d04bea24da8e18665995
+MD5 11194ba8e0cf36a97cfeabf09913d62e files/litesql-0.3.2-extra_qualifier.patch 840
+RMD160 260b38e210cdbd492363b9a136ff89755af94ab6 files/litesql-0.3.2-extra_qualifier.patch 840
+SHA256 7e88809a99273a22f1d2791959a1d63b5c306ba47d48d04bea24da8e18665995 files/litesql-0.3.2-extra_qualifier.patch 840
+AUX litesql-0.3.2-pkg_makefile_am.patch 492 RMD160 f36970b30755e4dfacf3366d2bcb4afbe2d3368f SHA1 c4aecee20e9215cf247977575b222dbfa625be87 SHA256 c9ee443edf0c1f6ffd79593eafb30cb06a103e78e3845429ccff07e7ce7999a4
+MD5 641790ea73c71a02d5c5a2263be296c2 files/litesql-0.3.2-pkg_makefile_am.patch 492
+RMD160 f36970b30755e4dfacf3366d2bcb4afbe2d3368f files/litesql-0.3.2-pkg_makefile_am.patch 492
+SHA256 c9ee443edf0c1f6ffd79593eafb30cb06a103e78e3845429ccff07e7ce7999a4 files/litesql-0.3.2-pkg_makefile_am.patch 492
+DIST litesql-0.3.2.tar.gz 825703 RMD160 13cf61db4994b13b98456abf86c737cbaf5f954d SHA1 4e725f2ed361224ff15a970970c82f82ede47e44 SHA256 b00cadb4cda881d65534515d40e20fa7cba234e67a5600d580c0a58e289daeed
+EBUILD litesql-0.3.2.ebuild 1723 RMD160 57e7e27a2f07303ac372343652112f10d6c6eea7 SHA1 9baf40df33aad47481dfac0d5a2cd38c8c656d35 SHA256 06b97e9461698f808edf7aaa387ea2038399e52e6d9408078255837d56a2a6bc
+MD5 d235948dc413c41a145ccb2249c8d170 litesql-0.3.2.ebuild 1723
+RMD160 57e7e27a2f07303ac372343652112f10d6c6eea7 litesql-0.3.2.ebuild 1723
+SHA256 06b97e9461698f808edf7aaa387ea2038399e52e6d9408078255837d56a2a6bc litesql-0.3.2.ebuild 1723
+MISC ChangeLog 328 RMD160 3d341f43d98c359648854d5cbf70a602e0ec23b2 SHA1 d513f3cf414d61b83a8917c8c33573fc613b2216 SHA256 c7782930ab983a2ed37827eacd63d581f825fe076b27ba429e6b76d2ace6f323
+MD5 9c0ac152ecdb6b68e63d2e07a908fe57 ChangeLog 328
+RMD160 3d341f43d98c359648854d5cbf70a602e0ec23b2 ChangeLog 328
+SHA256 c7782930ab983a2ed37827eacd63d581f825fe076b27ba429e6b76d2ace6f323 ChangeLog 328
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
+MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
+RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
+SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42 metadata.xml 170
+MD5 8424ddd73ee85472037aaff51c635e77 files/digest-litesql-0.3.2 241
+RMD160 cc8907e72ea2b458d514a1adacce29e97a2e298f files/digest-litesql-0.3.2 241
+SHA256 a2f17706c527e5349b9f8d4e7331c5a775c10dbf3896b56e2428447263d95746 files/digest-litesql-0.3.2 241
diff --git a/dev-cpp/litesql/files/digest-litesql-0.3.2 b/dev-cpp/litesql/files/digest-litesql-0.3.2
new file mode 100644
index 000000000..86cde4d97
--- /dev/null
+++ b/dev-cpp/litesql/files/digest-litesql-0.3.2
@@ -0,0 +1,3 @@
+MD5 51278ea5658895e2a181a809b1936a0d litesql-0.3.2.tar.gz 825703
+RMD160 13cf61db4994b13b98456abf86c737cbaf5f954d litesql-0.3.2.tar.gz 825703
+SHA256 b00cadb4cda881d65534515d40e20fa7cba234e67a5600d580c0a58e289daeed litesql-0.3.2.tar.gz 825703
diff --git a/dev-cpp/litesql/files/litesql-0.3.2-extra_qualifier.patch b/dev-cpp/litesql/files/litesql-0.3.2-extra_qualifier.patch
new file mode 100644
index 000000000..6d268fb2a
--- /dev/null
+++ b/dev-cpp/litesql/files/litesql-0.3.2-extra_qualifier.patch
@@ -0,0 +1,18 @@
+--- include/litesql/persistent.hpp.orig 2006-08-30 00:12:01.000000000 +0200
++++ include/litesql/persistent.hpp 2006-08-30 00:12:32.000000000 +0200
+@@ -32,13 +32,13 @@
+ protected:
+ typedef map<string, vector<pair<FieldType, string> > > Updates;
+ /** executed when object is created into database */
+- string Persistent::insert(Record& tables,
++ string insert(Record& tables,
+ Records& fieldRecs,
+ Records& values,
+ const string& sequence);
+ void update(Updates& updates);
+ template <class T>
+- void updateField(litesql::Persistent::Updates& updates,
++ void updateField(Updates& updates,
+ const std::string& table,
+ litesql::Field<T> fld) {
+ if (fld.modified()) {
diff --git a/dev-cpp/litesql/files/litesql-0.3.2-pkg_makefile_am.patch b/dev-cpp/litesql/files/litesql-0.3.2-pkg_makefile_am.patch
new file mode 100644
index 000000000..4444983b8
--- /dev/null
+++ b/dev-cpp/litesql/files/litesql-0.3.2-pkg_makefile_am.patch
@@ -0,0 +1,15 @@
+--- pkg/Makefile.am.orig 2006-08-30 00:45:42.000000000 +0200
++++ pkg/Makefile.am 2006-08-30 00:46:18.000000000 +0200
+@@ -3,9 +3,9 @@
+ CLEANFILES = $(bin_SCRIPTS) litesql.pc
+
+ install-data-local: litesql.pc
+- mkdir -p $(libdir)/pkgconfig && \
+- cp -p litesql.pc $(libdir)/pkgconfig
++ mkdir -p $(DESTDIR)/$(libdir)/pkgconfig && \
++ cp -p litesql.pc $(DESTDIR)/$(libdir)/pkgconfig
+
+ uninstall-local:
+- -rm -f $(libdir)/pkgconfig/litesql.pc
++ -rm -f $(DESTDIR)/$(libdir)/pkgconfig/litesql.pc
+
diff --git a/dev-cpp/litesql/litesql-0.3.2.ebuild b/dev-cpp/litesql/litesql-0.3.2.ebuild
new file mode 100644
index 000000000..6a9451de1
--- /dev/null
+++ b/dev-cpp/litesql/litesql-0.3.2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit autotools eutils
+
+KEYWORDS="~x86"
+
+DESCRIPTION="C++ library that integrates C++ objects tightly to relational database and thus provides an object persistence layer."
+HOMEPAGE="http://litesql.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+IUSE="doc examples mysql postgres sqlite"
+
+DEPEND="doc? ( app-doc/doxygen )
+ mysql? ( dev-db/mysql )
+ postgres? ( dev-db/libpq )
+ sqlite? ( =dev-db/sqlite-3* )
+ !mysql? ( !postgres? ( =dev-db/sqlite-3* ) )"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ if ! ( use mysql || use postgres || use sqlite ) ; then
+ ewarn "You have to specify at least one of the following USE-flags:"
+ ewarn "'mysql postgresq sqlite'"
+ ewarn "None specified: support for sqlite automatically activated."
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}/${P}-extra_qualifier.patch"
+ epatch "${FILESDIR}/${P}-pkg_makefile_am.patch"
+
+ sed -i \
+ -e 's/docs//' \
+ -e 's/examples//' \
+ src/Makefile.am || die "sed failed"
+
+ eautoreconf
+}
+
+src_compile() {
+ econf \
+ $(use_with mysql) \
+ $(use_with postgres pgsql) \
+ $(use_with sqlite sqlite3) \
+ || die "econf failed"
+ emake || die "emake failed"
+
+ if use examples ; then
+ cd "${S}/src/examples"
+ emake || die "emake failed"
+ fi
+ if use doc ; then
+ cd "${S}/docs/doxygen"
+ doxygen doxygen.conf
+ fi
+
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ if use examples ; then
+ rm "${S}/src/examples"/Makefile* "${S}/src/examples"/*.o
+ insinto /usr/share/${PN}
+ doins -r src/examples
+ fi
+
+ if use doc ; then
+ dohtml docs/html/*
+ fi
+}
diff --git a/dev-cpp/litesql/metadata.xml b/dev-cpp/litesql/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/dev-cpp/litesql/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>